<!--
The panel that shows the results that an individual report got, but not its
tests. This component is inside of the SubmissionsByCompetitionPanel.
-->
<template>
  <div :id="submission._id">
    <div v-if="displayResults">
    
      <b-button variant="primary" size="sm" :to="'/Submissions/' + submission._id" style="float: right">
        <report/> View Report
      </b-button>

      <strong style="float: left; margin-top: -7px; width: 70px">Score</strong>
      <b-progress :value="submission.getScore()"
                  :max="100"
                  :variant="progressVariant"
                  style="max-width: 500px"
                  show-value
                  :label="progressText">
      </b-progress>
      <br>

      <div style="margin-top: -20px">
        <strong style="float: left; width: 70px">Rank</strong>
        <p>{{ submission.getRank() }} / {{ submission.getWorstRank() }}</p>
      </div>
    </div>
    <div v-else>
      <strong>Status</strong> <span id="submission_status">{{ this.submission.getStatus() }}</span>
    </div>
    <hr>
  </div>
</template>
<script>
import Submission from '@/models/Submission'
import Report from 'vue-material-design-icons/newspaper.vue'

export default {
    name: 'app',
    props: {
        submission: Submission
    },
    components: {
        Report: Report
    },
    computed: {
        displayResults: function() {
            return this.submission.getStatus() == 'Completed'
        },
        progressText: function() {
            return this.submission.getScore() + '/100'
        },
        progressVariant: function() {
            if (this.submission.getScore() >= 100) {
                return 'success'
            }
            return 'danger'
        }
    }
}
</script>

